package test;

import javax.naming.Context;
import javax.naming.InitialContext;
import org.apache.log4j.Logger;
import org.apache.log4j.Level;
import java.util.Scanner;

import IS7.hello.HelloWorld2;

public class HelloWorld2TestClient
{
    public static void main(String[] args)
    {
        try 
        {
            Context ctx = new InitialContext();
            ctx.addToEnvironment(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
            ctx.addToEnvironment(Context.PROVIDER_URL, "localhost:1099");
            ctx.addToEnvironment("java.naming.factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces");
            Logger.getRootLogger().setLevel(Level.OFF);

            // Lookup the bean using its name + "/remote"
            HelloWorld2 helloWorld2 = (HelloWorld2) ctx.lookup("HelloWorld2/remote");
            System.out.println("What is your name?");
            Scanner s = new Scanner(System.in);

            System.out.println("The component says: " + helloWorld2.hello(s.nextLine()));
        } 
        catch (Exception ex) 
        {
            System.err.println("Caught an unexpected exception!");
            ex.printStackTrace();
        }
    }
}