package IS7.bookdb.customermgr;

/** Exception to be thrown by CustomerMgr **/
public class CustomerMgrException extends javax.ejb.EJBException
{
    // contains a user-friendly description of the error
    private String mUserMsg;

    public CustomerMgrException(String userMsg, String message)
    {
        super(message);
        mUserMsg = userMsg;
    }

    public String getUserMessage()
    {
        return mUserMsg;
    }
}
